Package htsjdk.samtools

# Class AlignmentBlock

java.lang.Object
htsjdk.samtools.AlignmentBlock

All Implemented Interfaces:
  `Serializable`

public class AlignmentBlock extends Object implements Serializable
Represents the contiguous alignment of a subset of read bases to a reference sequence. Simply put an alignment block tells you that read bases from readStart are aligned to the reference (matching or mismatching) from referenceStart for length bases.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
The number of contiguous bases aligned to the reference.
`int`
`getReadStart()`
The first, 1-based, base in the read that is aligned to the reference reference.
`int`
`getReferenceStart()`
The first, 1-based, position in the reference to which the read is aligned.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serialVersionUID

public static final long serialVersionUID

See Also:
  - Constant Field Values

## Method Details

### getReadStart

public int getReadStart()
The first, 1-based, base in the read that is aligned to the reference reference.

### getReferenceStart

public int getReferenceStart()
The first, 1-based, position in the reference to which the read is aligned.

### getLength

public int getLength()
The number of contiguous bases aligned to the reference.